use crate::{status::StatusManager, storage::Storage, token::TokenManager};

#[derive(Debug)]
pub struct Config<S>
where
    S: Storage + Sync + Send,
{
    pub storage: S,
    pub token_manager: TokenManager,
    pub status: StatusManager,
}

impl<S> From<S> for Config<S>
where
    S: Storage + Sync + Send,
{
    fn from(storage: S) -> Self {
        Self {
            storage,
            token_manager: TokenManager(b"test".to_vec()),
            status: StatusManager::default(),
        }
    }
}
